export interface PlayerProps {
    url?: string;
    playing?: boolean;
    loop?: boolean;
    controls?: boolean;
    light?: boolean;
    volume?: number;
    muted?: boolean;
    playbackRate?: number;
    width?: string;
    height?: string;
    style?: any;
    progressInterval?: number;
    playsinline?: boolean;
    pip?: boolean;
    stopOnUnmount?: boolean;
    playIcon?: any;
    previewTabIndex?: number;
    config?: any;
    onReady?: () => void;
    onStart?: () => void;
    onPlay?: () => void;
    onProgress?: () => void;
    onDuration?: () => void;
    onPause?: () => void;
    onBuffer?: () => void;
    onBufferEnd?: () => void;
    onSeek?: () => void;
    onEnded?: () => void;
    onError?: () => void;
    onClonClickPreviewick?: () => void;
    onEnablePIP?: () => void;
    onDisablePIP?: () => void;
}
//# sourceMappingURL=Player.types.d.ts.map